API referenceLinkedin search
GET
/api/v1/linkedin/lists

Lead lists, or account lists with type=ACCOUNT. Needs a seat.

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Query Parameters

account_id*string

The LinkedIn account (lg_…) to act as.

Length1 <= length
type?string

LEAD for lead lists (the default), ACCOUNT for account (company) lists. Another value is 400.

Default"LEAD"

Value in

  • "LEAD"
  • "ACCOUNT"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/linkedin/lists?account_id=lg_3f9c2a7b1d&type=ACCOUNT"
{  "object": "LinkedinSalesListList",  "items": [    {      "object": "LinkedinSalesList",      "id": "7012345678901234567",      "name": "Q4 prospects",      "list_type": "LEAD",      "description": null,      "total_count": 84,      "shared": false,      "created_at": "2026-10-01T09:00:00.000Z",      "updated_at": "2026-10-31T09:30:00.000Z"    }  ]}